"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addSlashes = void 0;
const get_escaped_any_1 = require("./get-escaped-any");
const get_escaped_json_unsafe_1 = require("./get-escaped-json-unsafe");
const addSlashes = (str, { getEscaped = get_escaped_json_unsafe_1.getEscapedJsonUnsafe } = {}) => {
    let result = '';
    for (const char of str) {
        if (char === '\\') {
            result += '\\\\';
            continue;
        }
        const escaped = getEscaped(char);
        if (!escaped) {
            result += char;
        }
        else if (escaped === true) {
            result += (0, get_escaped_any_1.getEscapedAny)(char);
        }
        else {
            result += escaped;
        }
    }
    return result;
};
exports.addSlashes = addSlashes;
//# sourceMappingURL=add-slashes.js.map