import { getEscapedAny } from './get-escaped-any';
import { getEscapedJsonUnsafe } from './get-escaped-json-unsafe';
const addSlashes = (str, { getEscaped = getEscapedJsonUnsafe } = {}) => {
    let result = '';
    for (const char of str) {
        if (char === '\\') {
            result += '\\\\';
            continue;
        }
        const escaped = getEscaped(char);
        if (!escaped) {
            result += char;
        }
        else if (escaped === true) {
            result += getEscapedAny(char);
        }
        else {
            result += escaped;
        }
    }
    return result;
};
export { addSlashes };
//# sourceMappingURL=add-slashes.js.map